%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-exceptiongroup
Version:       1.2.2
Release:       1mamba
Summary:       Backport of PEP 654 (exception groups)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/agronholm/exceptiongroup
Source:        https://pypi.debian.net/exceptiongroup/exceptiongroup-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
BuildRequires: python-flit_scm-py3

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n exceptiongroup-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Tue Jul 16 2024 Automatic Build System <autodist@openmamba.org> 1.2.2-1mamba
- automatic version update by autodist

* Fri Apr 19 2024 Automatic Build System <autodist@openmamba.org> 1.2.1-1mamba
- automatic version update by autodist

* Tue Nov 21 2023 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Wed Sep 27 2023 Automatic Build System <autodist@mambasoft.it> 1.1.3-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Tue Aug 15 2023 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic version update by autodist

* Tue Jul 04 2023 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Mon Mar 13 2023 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Sat Dec 24 2022 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Wed Nov 16 2022 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic version update by autodist

* Tue Nov 15 2022 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Mon Nov 14 2022 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Fri Nov 11 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1mamba
- package created using the webbuild interface
